/* Navbar */

.topnav {
    background-color: #0067af;
    overflow: hidden;
  }

  .topnav a {
    float: left;
    display: block;
    color: white;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 15px;
    font-family:Arial, Helvetica, sans-serif;
  }
  
  .active {
    background-color: #39a345;
    color: white;
  }
  
  .topnav .icon {
    display: none;
  }
  
  .dropdown {
    float: left;
    overflow: hidden;
  }
  
  .dropdown .dropbtn {
    font-size: 15px;
    border: none;
    outline: none;
    color: white;
    padding: 14px 16px;
    background-color: inherit;
    font-family:Arial, Helvetica, sans-serif;
    margin: 0;
  }
  
  .dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
  }
  
  .dropdown-content a {
    float: none;
    color: #0067af;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
  }
  
  .topnav a:hover, .dropdown:hover .dropbtn {
    background-color: #39a345;
    color: white;
  }
  
  .dropdown-content a:hover {
    background-color: #ddd;
    color: #0067af;
  }
  
  .dropdown:hover .dropdown-content {
    display: block;
  }
  
  
  @media screen and (max-width: 1000px) {
    .topnav a:not(:first-child), .dropdown .dropbtn {
      display: none;
    }
    .topnav a.icon {
      float: right;
      display: block;
      font-size: 13px;
    }
  }
  
  @media screen and (max-width: 1000px) {
    .topnav.responsive {position: relative;}
    .topnav.responsive a.icon {
      position: absolute;
      right: 0;
      top: 0;
    }
    .topnav.responsive a {
      float: none;
      display: block;
      text-align: left;
    }
    .topnav.responsive .dropdown {float: none;}
    .topnav.responsive .dropdown-content {position: relative;}
    .topnav.responsive .dropdown .dropbtn {
      display: block;
      width: 100%;
      text-align: left;
    }
  }


/* General */

.page {
    max-width: 1200px;
    margin: auto;
    box-shadow: 0 0 .5em .5em lightgray;
}

.main-wrapper {
    max-width: 1100px;
    margin: auto;
}

address {
    font-style: normal;
}

address a {
    text-decoration: none;
    color: black;
}

p,
h1,
h2,
h3,
h4,
a,
small {
    font-family:Arial, Helvetica, sans-serif;
}

h3 {
    font-size: 1em;
    font-weight: bold;
}

h1,
h2,
h3 {
    color: #0067af;
}

h1 {
    text-align: center;
    margin-bottom: 1em;
    font-size: 2.5rem;
    margin-top: 0;
}

h4 {
    font-weight: bold;
    font-size: 1em;
}

p,
small {
    line-height: 1.5em;
}

abbr {
    text-decoration: none;
}

article {
    padding: 1em;
}

.large-images {
    max-width: 100%;

}

small {
    font-size: medium;
    display: block;
}

.space-above {
    margin-top: 1em;
}

.double-space-above {
    margin-top: 2em;
}

.soleprop li {
    font-family: Arial, Helvetica, sans-serif;
    font-size: inherit;
    margin-bottom: .5em;
    line-height: 1.5em;
}

.soleprop-emphasis {
    background-color: #e6ffe6;
    padding: 2em;
    margin-left: 2.5em;
    margin-right: 2.5em;
    text-align: center;
}

/* Banner */

address.top-contact-details p {
    font-weight:bold;
    display: inline-block;
    line-height: 1.5em;
    margin: 1em;
    }

address.top-contact-details a {
    font-weight: normal;
}

.top-contact-details {
    background-color: #e3e3e3;
    margin: auto;
    margin-bottom: 0;
    text-align: center;
}

.top-bars {
    background-color: #0067af;
    padding: 1em;
    padding-top: .5em;
    padding-bottom: .5em;
    margin-bottom: 0;
    margin-top: 0;
    text-align: center;
    color: white
}

.logo-text {
    margin: 0;
    text-align: center;
    margin-top: .2em;
}

.flag-text {    /* Supports the company logo */
    color:red;
    font-style: italic;
    text-align: center;
}

.banner-box {
    display: flex;
    flex-direction: row;
}

.logo {
    width: 40%;
    padding-right: 2em;
    padding-left: 2em;
    padding-top: 1.2em;
}

.carousel {
    width: 60%
}

#random-image,
#random-image-root {
    display:block;
    width:100%;
}

.general-image {
    max-width: 100%;
}

.general-list li {
    font-family: Arial, Helvetica, sans-serif;
    line-height: 2em;
}

.important-note-block { /*Used for the note on Covid tests on the client forms page */
    background-color: #e6ffe6;
    padding: .2em; 
    margin-left: 2.5em; 
    margin-right: 2.5em; 
    text-align: center;
}



/* ------------------------------------------------ HSA Plus ------------------------------------------------ */

.cartoon {
    max-width: 80%;
    display: block;
    margin-left: auto;
    margin-right: auto;
    
}

.hsa-steps {
    color: #066390;
    font-size: 1.2em;
    height: 2em;
    width: 15em;
    font-weight: bold;
    background-color: skyblue;
    border-radius: 1em;
    text-align: center;
    padding-top: 0.7em;
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-top: 2em;
    margin-bottom: 1.5em;
}

.basic-hsa-steps {
    background-color: skyblue;
    display: block;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    max-width: 40em;
    border-radius: 1em;
    padding: 1em;
    margin-top: 1.5em;
    margin-bottom: 1.5em;
}

.arrow {
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-top: 1.5em;
}

.step-details {
    list-style-type: none;
    margin-left: 0;
    text-align: center;
}

.step-details li {
    margin-bottom: 1em;
    font-family: Arial, Helvetica, sans-serif;
}

.asterisk {
    margin-top: 2em;
}

figure img {
    max-width: 100%;
}

figure {
    display: block;
    max-width: 400px;
    margin-left: auto;
    margin-right: auto;
}

figcaption {
    text-align: center;
    font-style: italic;
}







/* ------------------------------------------------ Business Insurance check boxes ------------------------------------------------ */

.box-pair {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    margin-top: 1.5em;
    margin-bottom: 1.5em;
}



.big-check-boxes {
    height: 100px;
}

.check-box-descriptions {
    padding-left: 2em;
    padding-top: 1em;
    flex-shrink: 100%;
}

.insurance-picture {
    border-radius: 1em;
    margin-bottom: 2em;
}



/* ------------------------------------------------ Clearfix ------------------------------------------------ */

.clearfix::after {
    content: "";
    clear: both;
    display: table;
}

/* ------------------------------------------------ Buttons ------------------------------------------------ */

.general-button,
.large-general-button {
    background-color: #0067af;
    border-radius: 1em;
    width: 12em;
    height: 1.7em;
    margin: 1em;
    border: .1em solid #39a345;
    box-shadow: 7px 7px 5px lightgray;
}

.large-general-button {
    display: block;
    margin:auto;
    width: 26em;
    max-width: 100%;
    margin-top: 2em;
}

@media (max-width: 1000px) {
    .large-general-button {
        width: 12em;
        height:auto;
    }
}

p.general-button,
p.large-general-button,
p.form-button {
    font-size: 1.5em;
    text-align: center;
    padding-top: .2em;
}

p.general-button a,
p.large-general-button a{
    text-decoration: none;
    color: white;
    font-weight: bold;
    text-align: center;
}

.form-button {
    background-color: white;
    border-radius: 1em;
    width: 12em;
    height: 2.5em;
    margin: 1em;
    border: .1em solid #0067af;
    text-decoration: none;
    color: #0067af;
    font-weight: bold;
    text-align: center;
    font-size: 1em;
    box-shadow: .3em .3em .4em #999999;
    cursor: pointer;
}

.text-button {
    color: #0067af;
    font-weight: bold;
    cursor: pointer;
}

.add-button {
    background-color: white;
    border-radius: 1em;
    width: 14em;
    height: 2em;
    margin: 1em;
    border: .1em solid #0067af;
    text-decoration: none;
    color: #0067af;
    font-weight: bold;
    text-align: center;
    font-size: 1em;
    cursor:pointer;
    padding-top: .5em;
    box-shadow: .3em .3em .4em #038be0;
}

/* ------------------------------------------------ Button container ------------------------------------------------ */

.button-container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 1.5em;
}

/* ------------------------------------------------ Footer ------------------------------------------------ */

footer {
    border-top: 1px solid #0067af;
    max-width: 95%;
    margin: auto;
    margin-top: 2em;
    padding-bottom: 2em;
    padding-top: 2em;
    text-align: center;
}

.footer-offices {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}

.footer-offices div {
    display: box;
    width: 20em;
}

.office a {
    color: #0067af;
}

address {
    margin-top: 2em;
}

/* ------------------------------------------------ Content columns ------------------------------------------------ */

.page-intro {   /*The bit above the columns*/
    margin: 2em;
    text-align: center;
}

.page-columns {
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-evenly;
}

.left-column {
    flex-grow: 1;
}

.right-column {
    flex-grow: 1;
}

.right-column img {
    border-radius: .5em;
    margin: 2em;
}

/* ------------------------------------------------ Contact page ------------------------------------------------ */

.contact-columns {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.contact-columns div p {
    margin-top: 0;
}

h4 {
    margin-bottom: 0;
}

.tidy-box {
    margin: 2em;
    margin-bottom: 0;
}



/* ------------------------------------------------ PHSP general layout ------------------------------------------------ */

.phsp-image-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.phsp-image-element {
    max-width: 30%;
    min-width: 230px;
    margin-right: .5em;
    margin-left: .5em;
}

.phsp-image-element img {
    width: 100%;
    border-radius: 2em;
    margin-bottom: 1em;
    
}

.phsp-image-element h4 {
    text-align: center;
    margin-bottom: 1em;
}

.no-bullets {
    list-style-type: none;
    padding: 0;
    margin:0;
}

.no-bullets li {
    margin-top: .7em;
    font-family: Arial, Helvetica, sans-serif;
}

.phsp-image {
    display: block;
    margin: auto;
    margin-top: 2em;
    max-width: 100%;
}

.rounded-corners {
    max-width: 100%;
    border-radius: 2em;
}


/* ------------------------------------------------ Resources page ------------------------------------------------ */

.resource-container {
    display: flex;
    flex-wrap: nowrap;
    margin-top: 2em;
}

.resource-thumbnails {
    width: 72px;
    margin-right: 3em;
}

.resource-thumbnails img {
    width: 72px;
    border-radius: .5em;
    filter:drop-shadow(2px 2px 2px grey);
}

.resource-description {
    padding-top: .5em;
}

.resource-description p {
    margin-top: .5em;
}

h3 a {
    color: inherit;
}


/* ------------------------------------------------ Elligible Expenses ------------------------------------------------ */

.expense-list {
    list-style-type: none;
    padding-left: 0;
    margin: 0;
}

.expense-list li {
    margin-bottom: .3em;
    font-family: Arial, Helvetica, sans-serif;
    margin-bottom: 1em;
}

.expense-heading {
    margin-top: 2.5em;
    margin-bottom: 1.5em;
}

/* ------------------------------------------------ Company examples ------------------------------------------------ */

.company-container {
    display: flex;
    margin-top: 2em;
    flex-wrap: wrap;
}

.company-image {
    width: 300px;
    margin-right: 2em;

}

.company-image img {
    width: 300px;
    border-radius: 1em;
}

.company-description {
    padding-top: 2em;
    min-width: 300px;
    max-width: 600px;
}


/* ------------------------------------------------ Basic table ------------------------------------------------ */

.general-table th {
    background-color: #e6ffe6;
}


.general-table th,
.general-table td {
    width: 20em;
    text-align: center;
    font-family: Arial, Helvetica, sans-serif;
}

.general-table td {
    padding-top: .5em;
}

/* ------------------------------------------------ Urgent notification box ------------------------------------------------ */

.urgent-notification-box {
    background-color: white;
    border-radius: 1.5em;
    border: .1em solid red;
    font-family: Arial, Helvetica, sans-serif;
    margin: auto;
    margin-top: 2em;
    margin-bottom: 2em;
    text-align: center;
    font-weight: bold;
    padding: 0;
    max-width: 65%;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    padding-left: 10px;
    padding-right: 10px;
}


/* ------------------------------------------------ Map of representatives ------------------------------------------------ */

.faux-link {
    font-weight: bold;
    color: #0067af;
    cursor: pointer;
}

.map-caption {
    display: block;
    font-weight: bold;
    color: #0067af;
    text-align: center;
    text-decoration: none;
}

.map-heading {
    text-align: center;
}


/* ------------------------------------------------ Miscellaneous ------------------------------------------------ */

.circle-important-note {
    padding: .5em;
    background-color: #a0f1ff;
    border-radius: 1.5em;
    width: 100%;
    text-align: center;
}

.office-closed-dates {
    padding: .5em;
    background-color: #a0f1ff;
    border-radius: 1.5em;
    width: 100%;
    margin-bottom: 2em;
    text-align: center;
    border: red solid 2px;
}

ul, ol {
    line-height: 1.5em;
    font-family: Arial, Helvetica, sans-serif;
    padding-left: 1em;
}

li {
    margin-bottom: .5em;
}

.general-centre {
    text-align: center;
}

.paperless {
    margin-top: 2em;
    padding: .5em;
    background-color: #a0f1ff;
    border-radius: 1.5em;
    width: 100%;
    margin-bottom: 2em;
    text-align: center;
    border: #0067af solid 2px;
}

.benefits-card-image {
    max-width: 50%;
    display: block;
    margin:auto;
}


/* ------------------------------------------Video------------------------------------ */

.video-container {
    position: relative;
    /* max-width: 1000px; */
    margin: 0 auto;
    width: 100%;
    padding-top: 56.25%;
    overflow: hidden;
    border: 2px solid #0067af;
  }

.yt-video {
    position: absolute;
    top: -5px;
    left: -5px;
    width: calc(100% + 10px);
    height: calc(100% + 10px);
    border: none;
  }

  .video-banner {
    background-color: #eeeeff;
    color: #0067af;
    padding: 1em;
    text-align: left;
    font-size: 1.5em;
    font-weight: bold;
    margin-top: 1em;
    margin-bottom: 1em;
    border: red solid 5px;
    display: flex;
    align-items: center;
    position: relative;
    overflow: visible;
    padding-right: 250px;
  }
  
  .video-banner p {
    margin: 0;
    margin-right: 1em;
  }
  
  .video-banner img {
    height: 150px;
    margin-left: auto;
    transform: rotate(15deg);
    position: absolute;
    right: 40px;
    top: 0px;
  }
  
  @media (max-width: 600px) {
    .video-banner {
      flex-direction: column;
      align-items: center;
      text-align: center;
      padding-right: 0;
    }
    
    .video-banner p {
      margin-right: 0;
    }
  
    .video-banner img {
      position: static;
      transform: none;
      margin-left: 0;
      margin-top: 1em;
    }
  }

  #front-page-video-button {
    cursor: pointer;
  }

  .video-thumbs-row {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
  }

  .video-thumb-block {
    margin: 2em;
    cursor: pointer;
    border: #0067af solid 2px;
    background-color: white;
  }

  .video-thumb-block p{
    color: #0067af;
    text-align: center;
    font-weight: bold;
    margin: 1em;
  }

  .extremely-important {
    color: red;
    font-weight: bold;
  }